<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

use App\Jobs\AddressIdle as Job;
use App\Models\{Address,Domain};

class AddressIdle extends Command
{
	/**
	 * The name and signature of the console command.
	 *
	 * @var string
	 */
	protected $signature = 'address:idle'
		.' {domain : Domain}'
		.' {--ftn= : Limit to specific address}';

	/**
	 * The console command description.
	 *
	 * @var string
	 */
	protected $description = 'Find and mark nodes as hold/down/delist if idle';

	/**
	 * Execute the console command.
	 */
	public function handle(): int
	{
		$do = Domain::where('name',$this->argument('domain'))->singleOrFail();

		return Job::dispatchSync($do,$this->option('ftn') ? Address::findFTN($this->option('ftn')) : NULL);
	}
}