<?php

namespace App\Console\Commands;

use App\Models\File;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\DB;

class FilesList extends Command
{
	/**
	 * The name and signature of the console command.
	 *
	 * @var string
	 */
	protected $signature = 'files:list';

	/**
	 * The console command description.
	 *
	 * @var string
	 */
	protected $description = 'List files';

	/**
	 * Execute the console command.
	 *
	 * @return int
	 */
	public function handle(): int
	{
		$this->table([
			'files.id' => 'ID',
			'file' => 'Filename',
			'area' => 'Filearea'
		],File::select(['files.id','file',DB::raw('fileareas.name AS filearea')])
			->join('fileareas',['fileareas.id'=>'files.filearea_id'])
			->cursor());

		return self::SUCCESS;
	}
}