<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;

use App\Jobs\SystemHeartbeat as Job;

class SystemHeartbeat extends Command
{
	/**
	 * The name and signature of the console command.
	 *
	 * @var string
	 */
	protected $signature = 'system:heartbeat'
	.' {--F|force : Force poll systems that are auto hold}';

	/**
	 * The console command description.
	 *
	 * @var string
	 */
	protected $description = 'Poll systems that we havent seen for a while';

	/**
	 * Execute the console command.
	 */
	public function handle(): int
	{
		Log::info('CSH:- Triggering heartbeat to systems');
		return Job::dispatchSync($this->option('force'));
	}
}