<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Models\Echoarea;

class EchoareaController extends Controller
{
	/**
	 * Add or edit a echoarea
	 */
	public function add_edit(Request $request,Echoarea $o)
	{
		if ($request->post()) {
			$this->authorize('admin',$o);

			$request->validate([
				'domain_id' => 'required|exists:domains,id',
				'name' => 'required|min:4|max:35|regex:/^[a-zA-Z0-9\-_~]{4,}$/|unique:echoareas,name,'.($o->exists ? $o->id : 0),
				'description' => 'required',
				'active' => 'required|boolean',
				'show' => 'required|boolean',
				'automsgs' => 'required|boolean',
				'sec_read' => 'required|integer|min:0|max:7',
				'sec_write' => 'required|integer|min:0|max:7',
			]);

			foreach (['name','description','active','show','notes','domain_id','automsgs'] as $key)
				$o->{$key} = $request->post($key);

			$o->setRead($request->post('sec_read'));
			$o->setWrite($request->post('sec_write'));

			$o->save();

			return redirect()->to('echoarea');
		}

		return view('echoarea.addedit')
			->with('o',$o);
	}
}