<?php

namespace App\Interfaces;

interface Zmodem
{
	/* ZMODEM PROTOCOLS
	 * # 1 - ZModem
	 * # Z - ZedZap	(ZModem with 8k blocks)
	 * # D - DirZap	(ZModem with 8k blocks and minimal escaping)
	 */

	public const P_NONE			= 0x0000;		/* 0 0000 0000 */
	public const P_NCP			= 0x0001;		/* 0 0000 0001 */
	public const P_BINKP		= 0x0001;		/* 0 0000 0001 */
	public const P_ZMODEM		= 0x0002;		/* 0 0000 0010 */
	public const P_ZEDZAP		= 0x0004;		/* 0 0000 0100 */
	public const P_DIRZAP		= 0x0008;		/* 0 0000 1000 */
	public const P_HYDRA		= 0x0010;		/* 0 0001 0000 */
	public const P_JANUS		= 0x0020;		/* 0 0010 0000 */
	public const P_HYDRA4		= 0x0040;		/* 0 0100 0000 */
	public const P_HYDRA8		= 0x0080;		/* 0 1000 0000 */
	public const P_HYDRA16		= 0x0100;		/* 1 0000 0000 */
	public const P_MASK			= 0x01FF;		/* 1 1111 1111 */

	/* canzap constants */
	public const CZ_ZEDZIP			= 0;
	public const CZ_ZEDZAP			= 1;
	public const CZ_DIRZAP			= 2;
}