<?php

namespace App\Listeners\Matrix;

use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Notification;

use App\Events\Matrix\Message;
use App\Notifications\Echomails\MatrixMessage;

class MessageListener implements ShouldQueue
{
	protected const LOGKEY = 'LMM';

	public string $queue = 'matrix';

	/**
	 * Handle the event.
	 *
	 * @param Message $event
	 * @return void
	 */
	public function handle(Message $event): void
	{
		// Do some magic with event data
		Log::info(sprintf('%s:- Message Event in [%s] from [%s]',self::LOGKEY,$event->room_id,$event->sender));

		Notification::route('echomail',$event->echoarea)->notify(new MatrixMessage($event));
	}
}