<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Nodelist extends Model
{
	use SoftDeletes;

	protected $casts = [
		'date' => 'datetime:Y-m-d H:i:s'
	];

	protected $fillable = ['date','domain_id'];

	public const definitions = ['Zone','Region','Host','Hub','Pvt','Hold','Down'];

	/* RELATIONS */

	public function addresses()
	{
		return $this->belongsToMany(Address::class);
	}
}