<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class Domains extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
		Schema::create('domains', function (Blueprint $table) {
			$table->id();
			$table->timestamps();
			$table->string('name',8)->unique();
			$table->string('dnsdomain')->nullable();
			$table->string('notes')->nullable();

			$table->boolean('active');
			$table->boolean('public')->default(TRUE);
			$table->text('homepage')->nullable();
		});

		Schema::create('domain_user', function (Blueprint $table) {
			$table->integer('domain_id');
			$table->foreign('domain_id')->references('id')->on('domains');

			$table->integer('user_id');
			$table->foreign('user_id')->references('id')->on('users');

			$table->unique(['domain_id','user_id']);
		});
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
		Schema::dropIfExists('domain_user');
		Schema::dropIfExists('domains');
    }
}
