<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
		Schema::table('setups',function (Blueprint $table) {
			$table->jsonb('servers')->nullable();
			$table->dropColumn(['binkp','zmodem','permissions','protocols','options','emsi_protocols']);
		});

		Schema::table('setups',function (Blueprint $table) {
			$table->jsonb('options')->nullable();
		});
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
		Schema::table('setups',function (Blueprint $table) {
			$table->dropColumn(['options']);
		});
		Schema::table('setups',function (Blueprint $table) {
			$table->dropColumn(['servers']);
			$table->integer('binkp')->nullable();
			$table->integer('zmodem')->nullable();
			$table->integer('permissions')->nullable();
			$table->integer('protocols')->nullable();
			$table->integer('emsi_protocols')->nullable();
			$table->integer('options')->nullable();
		});
    }
};
