@extends('layouts.app')

@section('htmlheader_title')
Move Address
@endsection

@section('content')
	<form class="needs-validation" method="post" novalidate>
		@csrf

		<div class="row">
			<div class="col-12">
				<h1>
					{{ $o->system->name }} - {{ $o->ftn }}@if($o->system->setup)<sup class="success">*</sup>@endif
					@if($o->system->setup)<small class="success float-end">* This Host</small>@endif
				</h1>

				<!-- @todo The list of presented system should only be those that the user can see -->
				<div class="greyframe titledbox shadow0xb0">
					<h2 class="cap">Move Address</h2>

					<div class="row">
						<!-- Choose System -->
						<div class="col-4">
							<label for="system_id" class="form-label">Move <strong class="highlight">{{ $o->ftn }}</strong> to system:</label>
							<div class="input-group has-validation">
								<span class="input-group-text"><i class="bi bi-display-fill"></i></span>
								<select style="width: 80%;" class="form-select @error('system_id') is-invalid @enderror" id="system_id" name="system_id" required @cannot('admin',$o)disabled @endcannot>
									<option value="">&nbsp;</option>
									@foreach (\App\Models\System::active()->where('id','<>',$o->system_id)->cursor() as $oo)
										<option value="{{ $oo->id }}" @if(old('system_id')==$oo->id)selected @endif>{{ $oo->name }}</option>
									@endforeach
								</select>
								<span class="invalid-feedback" role="alert">
									@error('system_id')
										{{ $message }}
									@else
										Please select the System that should have the address.
									@enderror
								</span>
								<span class="input-helper">
									Add a <a href="{{ url('system/addedit') }}">NEW System</a>
								</span>
							</div>
						</div>

						<div class="col-3">
							<label for="remove" class="form-label">Delete System after Move</label>
							<div class="input-group">
								<div class="btn-group" role="group">
									<input type="radio" class="btn-check" name="remove" id="remove_yes" value="1" @if($o->system->setup || $o->system->addresses->count()+$o->system->zcs->count() > 1)disabled @endif @if(old('remove',FALSE))checked @endif>
									<label class="btn btn-outline-danger" for="remove_yes">Yes</label>

									<input type="radio" class="btn-check" name="remove" id="remove_no" value="0" @if($o->system->addresses->count()+$o->system->zcs->count() > 1)disabled @endif @if(! old('remove',FALSE))checked @endif>
									<label class="btn btn-outline-success" for="remove_no">No</label>
								</div>
							</div>
							<span class="invalid-feedback" role="alert">
								@error('remove')
									{{ $message }}
								@enderror
							</span>
						</div>

						@if ($o->is_hosted)
							<div class="col-3" id="session-remove">
								<label for="remsess" class="form-label">Remove Session Details for Zone</label>
								<div class="input-group has-validation">
									<div class="btn-group @error('remsess') is-invalid @enderror" role="group">
										<input type="radio" class="btn-check" name="remsess" id="remsess_yes" value="1" @if($o->system->match($o->zone)->count() > 1)disabled @endif @if(old('remsess',FALSE))checked @endif>
										<label class="btn btn-outline-danger" for="remsess_yes">Yes</label>

										<input type="radio" class="btn-check" name="remsess" id="remsess_no" value="0" @if($o->system->match($o->zone)->count() > 1)disabled @endif @if(! old('remsess',FALSE))checked @endif>
										<label class="btn btn-outline-success" for="remsess_no">No</label>
									</div>
									<span class="invalid-feedback" role="alert">
									@error('remsess')
										{{ $message }}
										@enderror
									</span>
								</div>
							</div>
						@endif
					</div>

					<div class="row">
						<div class="col-2">
							<a href="{{ url('domain') }}" class="btn btn-danger">Cancel</a>
						</div>

						<span class="col-6 mt-auto mx-auto text-center align-bottom">
							@if($errors->count())
								<span class="btn btn-sm btn-danger" role="alert">
									There were errors with the submission.
									@dump($errors)
								</span>
							@endif
						</span>

						@can('admin',$o)
							<div class="col-2">
								<button type="submit" name="submit" class="btn btn-success float-end">Move</button>
							</div>
						@endcan
					</div>
				</div>
			</div>
		</div>
	</form>
@endsection

@section('page-css')
	@css('select2')
@append
@section('page-scripts')
	@js('select2')

	<script type="text/javascript">
		$(document).ready(function() {
			$('#system_id').select2();

			@if ($o->is_hosted)
				$('#remove_yes').on('change',function() {
					if (! $('#session-remove').hasClass('d-none'))
						$('#session-remove').addClass('d-none');
				});

				$('#remove_no').on('change',function() {
					if ($('#session-remove').hasClass('d-none'))
						$('#session-remove').removeClass('d-none');
				});
			@endif
		});
	</script>
@append